import { OnInit, OnChanges } from '@angular/core';
export declare class DateWeekdaysComponent implements OnInit, OnChanges {
    weekdays: any[];
    firstDayOfWeek: number;
    dayNamesShort: string[];
    dayNamesLong: string[];
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    renderCalendar(): void;
}
